Bug 431641 - anaconda fails to inform the kernel about changes
anaconda fails to inform the kernel about changes
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 23:55 EST by cornel panceac
Modified: 2008-08-06 01:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 21:27:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error informing kernel (44.89 KB, image/png)
2008-02-08 11:34 EST, cornel panceac
no flags Details
anaconda log f10 alpha i686 live cd (17.34 KB, application/octet-stream)
2008-08-06 01:01 EDT, cornel panceac
no flags Details

  None (edit)
Description cornel panceac 2008-02-05 23:55:11 EST
Description of problem:
f9 alpha x86_64 live cd : after partitioning scrren, partition table was not
changed by user but , after some other error, anaconda reports that it was
unable to inform the kernel about changes to /dev/sdb5. fortunately, it offers
the option to ignore the warning.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.select custom partitioning
2.don't modify the existing partitions, just assign a / and go further
3.
  
Actual results:
anaconda complains that it was unable to inform the kernel about modifications
to /dev/sdb5....

Expected results:
no errors

Additional info:
/dev/sdb5 is actually not used during instllation but, /dev/sdb6 (as it is seen
by anaconda) it is used as / ,and is the only used partition.

the output as seen by installed fedora{8,9_alpha} :

# fdisk -l

Disk /dev/sda: 250.0 GB, 250058268160 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x000d7f52

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1        1338    10747453+  83  Linux
/dev/sda2   *        1339        1351      104422+  83  Linux
/dev/sda3            1352        1476     1004062+  82  Linux swap / Solaris
/dev/sda4            1477       30401   232340062+   5  Extended
/dev/sda5            1477       20000   148794029+  83  Linux
/dev/sda6           20001       21338    10747484+  83  Linux
/dev/sda7           21339       30400    72790483+  83  Linux

Disk /dev/sdb: 500.1 GB, 500107862016 bytes
255 heads, 63 sectors/track, 60801 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x000379ab

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *           1       60801   488384001   83  Linux

anaconda switches sda and sdb .
Comment 1 cornel panceac 2008-02-08 11:34:41 EST
Created attachment 294379 [details]
error informing kernel

worth noting that sdb5 is the partition before the / partition (sdb6, in
anaconda opinion).
Comment 2 cornel panceac 2008-03-25 15:38:24 EDT
stays true for f9 beta x86_64 live 
Comment 3 David Cantrell 2008-04-25 21:27:07 EDT
I have tried to reproduce this locally several times using the latest rawhide tree and cannot get that error 
to come up.  I am using the exact same partitioning layout you are using and only choosing /dev/sda6 for 
my root filesystem.  Installation proceeds fine and I reboot and the system comes up fine.
Comment 4 cornel panceac 2008-08-06 01:00:13 EDT
well, in f10 alpha i686 live cd, the installer still has this error.
Comment 5 cornel panceac 2008-08-06 01:01:31 EDT
Created attachment 313526 [details]
anaconda log f10 alpha i686 live cd

here's the anaconda log for this install.

Note You need to log in before you can comment on or make changes to this bug.